aboutsummaryrefslogtreecommitdiffstats
path: root/testing/uucp/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-06-17 15:58:35 +0200
committerSören Tempel <soeren+git@soeren-tempel.net>2016-06-17 22:07:19 +0200
commitacb3d9fc40fc0730d2ac1fa40af02a614c14a11e (patch)
tree54f603a912e655c17945246fdb56c867a127d88c /testing/uucp/APKBUILD
parent0dbfd788c4e97bc3d74a9a705589fb6fad4fb293 (diff)
downloadaports-acb3d9fc40fc0730d2ac1fa40af02a614c14a11e.tar.gz
aports-acb3d9fc40fc0730d2ac1fa40af02a614c14a11e.tar.bz2
aports-acb3d9fc40fc0730d2ac1fa40af02a614c14a11e.tar.xz
testing/uucp: cleanup and rebuild to fix install_if for -doc subpackage
Diffstat (limited to 'testing/uucp/APKBUILD')
-rw-r--r--testing/uucp/APKBUILD63
1 files changed, 32 insertions, 31 deletions
diff --git a/testing/uucp/APKBUILD b/testing/uucp/APKBUILD
index 42353f4cb2..741b13f743 100644
--- a/testing/uucp/APKBUILD
+++ b/testing/uucp/APKBUILD
@@ -1,8 +1,9 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Contributor: Mathew Meins <mathewm@sdf.lonestar.org>
# Maintainer: Mathew Meins <mathewm@sdf.lonestar.org>
pkgname=uucp
pkgver=1.07
-pkgrel=1
+pkgrel=2
pkgdesc="Taylor UUCP is a free implementation of UUCP"
url="http://airs.com/ian/uucp.html"
arch="all"
@@ -15,50 +16,50 @@ subpackages="$pkgname-doc"
options="suid"
pkgusers="uucp"
pkggroups="uucp"
-source="ftp://ftp.gnu.org/pub/gnu/uucp/uucp-1.07.tar.gz"
-
-_builddir="$srcdir/uucp-$pkgver"
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --with-newconfigdir=/etc/uucp \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info \
- --localstatedir=/var || return 1
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-newconfigdir=/etc/uucp \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ || return 1
make || return 1
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
- install -m4555 -o uucp -g uucp "$_builddir"/uuxqt "$pkgdir"/usr/sbin/uuxqt
- install -m4555 -o uucp -g uucp "$_builddir"/uucico "$pkgdir"/usr/sbin/uucico
- install -m4555 -o uucp -g uucp "$_builddir"/uux "$pkgdir"/usr/bin/uux
- install -m4555 -o uucp -g uucp "$_builddir"/uucp "$pkgdir"/usr/bin/uucp
- install -m4555 -o uucp -g uucp "$_builddir"/uuname "$pkgdir"/usr/bin/uuname
- install -m4555 -o uucp -g uucp "$_builddir"/cu "$pkgdir"/usr/bin/cu
- install -m4555 -o uucp -g uucp "$_builddir"/uustat "$pkgdir"/usr/bin/uustat
+ install -m4555 -o uucp -g uucp "$builddir"/uuxqt "$pkgdir"/usr/sbin/uuxqt
+ install -m4555 -o uucp -g uucp "$builddir"/uucico "$pkgdir"/usr/sbin/uucico
+ install -m4555 -o uucp -g uucp "$builddir"/uux "$pkgdir"/usr/bin/uux
+ install -m4555 -o uucp -g uucp "$builddir"/uucp "$pkgdir"/usr/bin/uucp
+ install -m4555 -o uucp -g uucp "$builddir"/uuname "$pkgdir"/usr/bin/uuname
+ install -m4555 -o uucp -g uucp "$builddir"/cu "$pkgdir"/usr/bin/cu
+ install -m4555 -o uucp -g uucp "$builddir"/uustat "$pkgdir"/usr/bin/uustat
install -m755 -D -o root -g root -d "$pkgdir"/etc/uucp
install -m755 -D -o uucp -g uucp -d "$pkgdir"/var/spool/uucp
install -m755 -D -o uucp -g uucp -d "$pkgdir"/var/spool/uucppublic
install -m755 -D -o uucp -g uucp -d "$pkgdir"/var/log/uucp
- touch "$pkgdir"/etc/uucp/call "$pkgdir"/etc/uucp/dial "$pkgdir"/etc/uucp/dialcode "$pkgdir"/etc/uucp/passwd "$pkgdir"/etc/uucp/port "$pkgdir"/etc/uucp/sys
- chown root:uucp "$pkgdir"/etc/uucp/call "$pkgdir"/etc/uucp/passwd
- chmod 640 "$pkgdir"/etc/uucp/call "$pkgdir"/etc/uucp/passwd
+ touch "$pkgdir"/etc/uucp/call "$pkgdir"/etc/uucp/dial \
+ "$pkgdir"/etc/uucp/dialcode \
+ "$pkgdir"/etc/uucp/passwd \
+ "$pkgdir"/etc/uucp/port \
+ "$pkgdir"/etc/uucp/sys || return 1
+ chown root:uucp "$pkgdir"/etc/uucp/call \
+ "$pkgdir"/etc/uucp/passwd || return 1
+ chmod 640 "$pkgdir"/etc/uucp/call \
+ "$pkgdir"/etc/uucp/passwd || return 1
}
md5sums="64c54d43787339a7cced48390eb3e1d0 uucp-1.07.tar.gz"